# Main Objectives 

The main objective of our project is to deliver a mobile application where all
types of processing will be carried out in the cloud base system through 
API calls, which will be very helpful users. To detect stress level of 
pregnant woman using various ways like facial expression, ECG, DASS reports
and suggest best solutions to reduce the stress. 

# Main Research questions 
 
According to the literature survey, there are many stress measurement systems
and methods available. But existing methods predict the stress level of 
pregnant women using scanners and other instruments that connect to the body. 
This method can create allergic and other effects in pregnant women. It will be
easier and safer to measure stress level through facial recognition system 
using multiple machine learning algorithms and image classification techniques 
without harming pregnant women. 

# Individual research question

- Gathering data on the facial expressions and find the stress level of pregnant
women using image processing. 

- Get the image of the pregnant woman and check the database and find the suitable
and matching image for this image and analyzethe stress level through Image 
classification using convolutional neural networks (CNNs). Real time mental
health improvement tracker using facial recognition. 

- Gathering the sample data from ECG and heartbeat and analyzing how pregnant
women can be affected by this stressful condition. 

- Reading the ECG and heartbeat report and identify that woman stress is good or 
bad stress level condition and find the best report through Image Classification
using artificial neural networks. 

- Calculating DASS (Depression Anxiety Stress Scales) through the reports 

- Each and all pregnant women have different level of DASS collect the data and 
store in the database go through the Principal Component Analysis and 
analyze the data to provide the stress level. 


- Finding what are the main reasons for the high stress level and suggest the 
solutions to reduce the stress level and give best solution for to reduce
the stress level and give what are the main reason for this stress. 

# Individual Objectives

 - Detecting stress through facial expressions of pregnant women using image processing and calculate the stress level of the pregnant ladies. – E.J.A. Davis – IT18107456 


>Collect the facial expression images of the pregnant women. 

>Gather data from digital camera and other internet resources. 

>Insert the collected data into database. 

>Consider the image quality using preprocessing data. 

>In preprocessing step consider contrast of the image, shape, brightness, etc. 

>Consider the facial expression of the pregnant women in every pregnancy stage. 

>Detect the stage of stress level of pregnant ladies using classification. 


- Detecting stress through ECG and heartbeat using machine learning and calculate the stress level. - E. Anoojan - IT18223804 

>Collecting the ECG, ECO report images of the pregnant women. 

>Gathering data from suitable resources. 

>Considering the image quality using preprocessing data. 

>In preprocessing step consider contrast of the image, shape, lightning, clarity etc. 

>Considering the stress level of the pregnant women in every pregnancy stage. 

>Considering the capture able features and extract. 

>Detecting the stage of stress level of pregnant ladies using classification. 

>Recognizing the stage of stress level using classification  

- DASS (Depression Anxiety Stress Scales) scoring system to identify stress level and calculate the stress level of the pregnant ladies. – S. Karunjan - IT18227000 

 >Every pregnant woman has different level of DASS collect the data questionnaire. other internet resources. 
 
 >Store in the database go through the Principal Component Analysis and analyze the data to provide the stress level. 
 
 >Design the database through insert the data. 
 
 >Consider the level of DASS data quality using preprocessing data. 
 
 >In preprocessing step consider contrast of the questions and the answers etc. 
 
 >Consider the level of DASS of the pregnant women in every pregnancy stage. 
 
 >Consider the capture able features and extract. 
 
 
- Provides the best solutions to maintain the stress level after analyzing the results and give a alert by chatbot – S. Harithwarman - IT18181302 

 >Identifying the primary causes of high stress levels and recommending methods to reduce stress levels.
 
 >Examine the data to determining the best method for reducing stress and identifying the primary causes of stress.
 
 >Provide a stress-relieving alert and give a soloution by chat bot.

